Remove one or multiple recipients from the internal unsubscribe list
1 min
DELETE
https://api.campaign.episerver.net/rest/{clientId}/unsubscribes
Path Parameters
- clientIdstringrequiredDescription
Query Parameters
- recipientIdsstring[]requiredDescription
- mediaTypestringDescriptionAllowedEMAILFAXSMSLETTERPUSHPRINT
- recipientListIdinteger<int64>DescriptionFormatint64
Responses
204
404
curl
curl --request DELETE \
--url 'https://api.campaign.episerver.net/rest/{clientId}/unsubscribes?recipientIds=array' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/unsubscribes?recipientIds=array", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/unsubscribes?recipientIds=array")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/unsubscribes?recipientIds=array"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
204
// The removal was initiated successfully.
404
// Unsubscribe could not be found for the indicated recipient ID. Ensure that the 'recipientId' is correct and the recipient exists.